<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class DBWorkHLExterneDokumenteKategorien extends DBWorkGenerated
{
  public function __construct($pDBTyp = 1, $pNewInstance = false)
  {
    parent::__construct($pDBTyp, $pNewInstance);
    $this->select = 'id, bezeichnung';
    $this->_dataModulFields = array('bezeichnung', 'id');
  }

  
  public function getNewObject()
  {
    return new HLExterneDokumenteKategorie();
  }

  public function getTableName(): string
  {
    return 'hlextdokumentekat';
  }
}